# Class GroupedObservation

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents an observation that belongs to or has been categorized within a logical group.

    public class GroupedObservation

Inheritance
  object
  GroupedObservation

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Group

    public string? Group { get; set; }

#### Property Value

string

### Name

    public string? Name { get; set; }

#### Property Value

string

### Observations

    public List<GroupedObservation.GroupedObservationObs> Observations { get; set; }

#### Property Value

List<GroupedObservation.GroupedObservationObs>

### PatientId

    public ObjectId PatientId { get; set; }

#### Property Value

ObjectId

## Methods

### ToString()

Returns a string representation of the PatientObservation, including the patient's name and observations in a formatted output.

    public override string ToString()

#### Returns

string

  A formatted string in the form "PatientObservation[name: ..., observations: ...]".